Bug 618292 - SPICE-XPI : Spice cannot be opened from RHEL6.0 client user-portal using latest Firefox 3.6.x
SPICE-XPI : Spice cannot be opened from RHEL6.0 client user-portal using late...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-xpi (Show other bugs)
6.0
All Windows
urgent Severity urgent
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
:
Depends On: 616033
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 11:06 EDT by Martin Stransky
Modified: 2011-06-15 10:38 EDT (History)
13 users (show)

See Also:
Fixed In Version: spice-xpi-2.3-0.5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 616033
Environment:
Last Closed: 2010-11-10 16:39:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2010-07-26 11:06:50 EDT
+++ This bug was initially created as a clone of Bug #616033 +++

SPICE-XPI : Spice cannot be opened from RHEL5.5 client user-portal using FireFox 3.6.4.  

Scenario:
**********
- from RHEL5.5 yum update firefox. 
- open user portal. 
- open spice to VM. 

Result:
*********
spice session cannot be open.

spice.log:
***********
2010-07-19 16:32:42,617 DEBUG nsPluginInstance::nsPluginInstance(NPP_t*): logger init


•Plugins are no longer scriptable through XPCOM (IDL) interfaces, NPRuntime is the API to use for making plugins scriptable, and NPP_GetValue() is no longer called to with the value NPPVpluginScriptableInstance or NPPVpluginScriptableIID. This is part of the work toward making plugins run in separate processes in a future version of Gecko.
logger init

https://developer.mozilla.org/en/firefox_3.6_for_developers
Comment 4 Michal Haško 2010-09-01 07:01:47 EDT
VERIFIED on
$ rpm -qa firefox xulrunner spice-xpi
spice-xpi-2.4-1.el6.x86_64
firefox-3.6.4-4.el6.x86_64
xulrunner-1.9.2.4-4.el6.x86_64

Connecting to a VM works fine through user portal
Comment 7 Michal Haško 2010-09-02 03:21:42 EDT
VERIFIED

$ rpm -q firefox xulrunner spice-xpi
firefox-3.6.9-2.el6.x86_64
xulrunner-1.9.2.9-1.el6.x86_64
spice-xpi-2.4-1.el6.x86_64
Comment 9 releng-rhel@redhat.com 2010-11-10 16:39:17 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.